<?php
/**
* The header for GridPal theme.
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package GridPal WordPress Theme
* @copyright Copyright (C) 2021 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="gridpal-site-body" itemscope="itemscope" itemtype="http://schema.org/WebPage">
<?php wp_body_open(); ?>
<a class="skip-link screen-reader-text" href="#gridpal-posts-wrapper"><?php esc_html_e( 'Skip to content', 'gridpal' ); ?></a>

<?php gridpal_secondary_menu_area(); ?>

<?php gridpal_before_header(); ?>

<?php gridpal_header_image(); ?>

<div class="gridpal-site-header gridpal-container" id="gridpal-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader" role="banner">
<div class="gridpal-head-content gridpal-clearfix" id="gridpal-head-content">

<?php if ( gridpal_is_header_content_active() ) { ?>
<div class="gridpal-header-inside gridpal-clearfix">
<div class="gridpal-header-inside-content gridpal-clearfix">
<div class="gridpal-outer-wrapper">
<div class="gridpal-header-inside-container">

<div class="gridpal-logo">
<?php if ( has_custom_logo() ) : ?>
    <div class="site-branding">
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="gridpal-logo-img-link">
        <img src="<?php echo esc_url( gridpal_custom_logo() ); ?>" alt="" class="gridpal-logo-img"/>
    </a>
    <div class="gridpal-custom-logo-info"><?php gridpal_site_title(); ?></div>
    </div>
<?php else: ?>
    <div class="site-branding">
      <?php gridpal_site_title(); ?>
    </div>
<?php endif; ?>
</div>

<?php if ( gridpal_is_primary_menu_active() ) { ?>
<div class="gridpal-header-menu">
<div class="gridpal-container gridpal-primary-menu-container gridpal-clearfix">
<div class="gridpal-primary-menu-container-inside gridpal-clearfix">
<nav class="gridpal-nav-primary" id="gridpal-primary-navigation" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement" role="navigation" aria-label="<?php esc_attr_e( 'Primary Menu', 'gridpal' ); ?>">
<button class="gridpal-primary-responsive-menu-icon" aria-controls="gridpal-menu-primary-navigation" aria-expanded="false"><?php echo esc_html( gridpal_primary_menu_text() ); ?></button>
<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'gridpal-menu-primary-navigation', 'menu_class' => 'gridpal-primary-nav-menu gridpal-menu-primary', 'fallback_cb' => 'gridpal_fallback_menu', 'container' => '', ) ); ?>
</nav>
</div>
</div>
</div>
<?php } ?>

</div>
</div>
</div>
</div>
<?php } else { ?>
<div class="gridpal-no-header-content">
  <?php gridpal_site_title(); ?>
</div>
<?php } ?>

</div><!--/#gridpal-head-content -->
</div><!--/#gridpal-header -->

<?php gridpal_after_header(); ?>

<div id="gridpal-header-end"></div>

<?php gridpal_top_wide_widgets(); ?>

<div class="gridpal-outer-wrapper" id="gridpal-wrapper-outside">

<div class="gridpal-container gridpal-clearfix" id="gridpal-wrapper">
<div class="gridpal-content-wrapper gridpal-clearfix" id="gridpal-content-wrapper">