<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package GridPal WordPress Theme
* @copyright Copyright (C) 2021 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="gridpal-main-wrapper gridpal-clearfix" id="gridpal-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="gridpal-main-wrapper-inside gridpal-clearfix">

<?php gridpal_before_main_content(); ?>

<div class="gridpal-posts-wrapper" id="gridpal-posts-wrapper">

<?php if ( !(gridpal_get_option('hide_posts_heading')) ) { ?>
<?php if(is_home() && !is_paged()) { ?>
<?php if ( gridpal_get_option('posts_heading') ) : ?>
<div class="gridpal-posts-header"><h2 class="gridpal-posts-heading"><span class="gridpal-posts-heading-inside"><?php echo esc_html( gridpal_get_option('posts_heading') ); ?></span></h2></div>
<?php else : ?>
<div class="gridpal-posts-header"><h2 class="gridpal-posts-heading"><span class="gridpal-posts-heading-inside"><?php esc_html_e( 'Recent Posts', 'gridpal' ); ?></span></h2></div>
<?php endif; ?>
<?php } ?>
<?php } ?>

<div class="gridpal-posts-content">

<?php if (have_posts()) : ?>

    <?php if ( !(gridpal_get_option('disable_posts_grid')) ) { ?>

    <div class="gridpal-posts gridpal-posts-grid">
    <div class="gridpal-3-col-sizer"></div>
    <div class="gridpal-3-col-gutter"></div>
    <?php $gridpal_post_counter=1; while (have_posts()) : the_post(); ?>

        <?php get_template_part( 'template-parts/content-grid' ); ?>

    <?php $gridpal_post_counter++; endwhile; ?>
    </div>

    <?php } else { ?>

    <?php while (have_posts()) : the_post(); ?>
        <?php get_template_part( 'template-parts/content-nongrid' ); ?>
    <?php endwhile; ?>

    <?php } ?>

    <div class="clear"></div>

    <?php gridpal_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</div>

</div><!--/#gridpal-posts-wrapper -->

<?php gridpal_after_main_content(); ?>

</div>
</div>
</div><!-- /#gridpal-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>